#include <stdio.h>
#include <string.h>
#include <Windows.h>

void set_win_position(int x, int y)
{
    HWND consoleWindow = GetConsoleWindow();
    SetWindowPos(consoleWindow, 0, x, y, 0, 0, SWP_NOSIZE | SWP_NOZORDER);
}

void set_win_size(int width, int height)
{
    HANDLE hstdout;
    CONSOLE_SCREEN_BUFFER_INFO csbi;
    SMALL_RECT windowSize;
    
    hstdout = GetStdHandle(STD_OUTPUT_HANDLE);
    GetConsoleScreenBufferInfo(hstdout, &csbi);

    windowSize.Left = 0;
    windowSize.Top = 0;
    windowSize.Right = width;
    windowSize.Bottom = height;

    SetConsoleWindowInfo(hstdout, TRUE, &windowSize);
}

int main(int argc, char* argv[])
{
    int i;
    int p_offset = 0;
    int s_offset = 0;

    for (i=1; i<argc; i++)
    {
        if (strstr(argv[i], "-p") && ((argc-1) >= (i+2)) )
        {
            p_offset = i + 1;
        }

        if (strstr(argv[i], "-s") && ((argc - 1) >= (i + 2)))
        {
            s_offset = i + 1;
        }
    }
    
    if (p_offset > 0)
    {
        set_win_position(atoi(argv[p_offset]), atoi(argv[p_offset + 1]));
    }

    if (s_offset > 0)
    {
        set_win_size(atoi(argv[s_offset]), atoi(argv[s_offset + 1]));
    }

    system("cmd");
}